<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">

		<!-- Responsive Meta Tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- External CSS -->
		<!-- <link rel="stylesheet" type="text/css" href="index.css"> -->

		<!-- Bootstrap CSS-->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

		<!-- Temporary -->
		<style type="text/css">
			* {
				border: solid 1px white;
			}
		</style>


		<title>CSS and Bootstrap Flex</title>
	</head>
	<body>


		<div class="text-center">
			<h1>Bootstrap Flex</h1>
			<p>Used the d-flex class to create a flex container and transform direct children into flex items</p>
			
			<h2>Centering Elements</h2>
			<div style="height: 500px;"class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column">
				<div class="h-25 p-3 bg-success"> Flex Item A</div>
				<div class="h-25 p-3 bg-warning"> Flex Item B</div>
				<div class="h-25 p-3 bg-danger"> Flex Item C</div>
			</div>
			<h2>Flex Row</h2>
			<div class="bg-dark p-3 d-flex flex-row">
				<div class="p-3 bg-success"> Flex Item A</div>
				<div class="p-3 bg-warning"> Flex Item B</div>
				<div class="p-3 bg-danger"> Flex Item C</div>
			</div>
			<h2>Flex Row-Reverse</h2>
			<div class="bg-dark p-3 d-flex flex-row-reverse">
				<div class="p-3 bg-success"> Flex Item A</div>
				<div class="p-3 bg-warning"> Flex Item B</div>
				<div class="p-3 bg-danger"> Flex Item C</div>
			</div>

			<h2>Creating Space Between Elements</h2>
			<div class="bg-dark p-3 d-md-flex justify-content-md-around sm-d-block">
					<div class="p-3 bg-success"> Card A</div>
					<div class="p-3 bg-warning"> Card B</div>
					<div class="p-3 bg-danger"> Card C</div>
			</div>

			<h2>Flexbox with Margin</h2>
            <div class="bg-dark p-3 d-flex">
                <div class="p-3 bg-success mr-auto">Flex Item A</div>
                <div class="p-3 bg-warning">Flex Item B</div>
                <div class="p-3 bg-danger">Flex Item C</div>
                <div class="p-3 bg-primary">Flex Item D</div>
            </div>


			<h2>Nested Flex</h2>
			<div class="bg-dark p-3 d-md-flex">
			    <div class="mr-auto">
			        <div class="p-3 bg-success">Flex Item A</div>
			    </div>
			    <div class="d-flex flex-column flex-md-row justify-content-between w-50">
			        <div class="p-3 bg-warning">Flex Item B</div>
			        <div class="p-3 bg-danger">Flex Item C</div>
			        <div class="p-3 bg-primary">Flex Item D</div>
			    </div>
			</div> 			
		</div>



	<!-- Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

	</body>
</html>	